Terminate an active lease early with optional deposit reconciliation
POST
/api/leases/{id}/terminate
const url = 'https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/terminate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"depositDeductions":[{"amountCents":1,"reason":"example"}],"prorateRent":true,"refundAmountCents":1,"refundReason":"example","securityDepositId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","terminationDate":"2026-04-15"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/terminate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "depositDeductions": [ { "amountCents": 1, "reason": "example" } ], "prorateRent": true, "refundAmountCents": 1, "refundReason": "example", "securityDepositId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "terminationDate": "2026-04-15" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
depositDeductions
Array<object>
object
amountCents
required
integer
reason
required
string
prorateRent
boolean
refundAmountCents
integer
refundReason
string
securityDepositId
string format: uuid
terminationDate
required
string format: date
Examplegenerated
{ "depositDeductions": [ { "amountCents": 1, "reason": "example" } ], "prorateRent": true, "refundAmountCents": 1, "refundReason": "example", "securityDepositId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "terminationDate": "2026-04-15"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
lease
required
object
createdAt
required
string format: date-time
daysUntilExpiry
required
integer
deletedAt
required
string format: date-time
endDate
required
string format: date
id
required
string format: uuid
lateFeeAmountCents
required
integer
lateFeeGraceDays
required
integer
lateFeePercentBps
required
integer
lateFeeType
required
string
moveInDate
required
string format: date
occupants
required
Array<object>
object
isPrimary
required
boolean
moveInDate
required
string format: date
moveOutDate
required
string format: date
providerRole
required
string
tenantId
required
string format: uuid
tenantName
required
string
organizationId
required
string format: uuid
overduePostedRentCents
integer
propertyId
required
string format: uuid
propertyName
required
string
renewedFromLeaseId
required
string format: uuid
rentCents
required
integer
rentChargeDay
required
integer
signedAt
required
string format: date-time
startDate
required
string format: date
status
required
string
tenantId
required
string format: uuid
tenantName
required
string
termType
required
string
terminationDate
required
string format: date
unitId
required
string format: uuid
unitNumber
required
string
notes
required
Array<object>
object
body
required
string
createdAt
required
string format: date-time
createdByUser
required
object
fullName
required
string
id
required
string format: uuid
createdByUserId
required
string format: uuid
entityId
required
string format: uuid
entityType
required
string
id
required
string format: uuid
visibility
required
string
recurringChargeRules
required
Array<object>
object
amountCents
required
integer
categoryId
required
string format: uuid
createdAt
required
string format: date-time
dayOfMonth
required
integer
endDate
required
string format: date
frequency
required
string
id
required
string format: uuid
kind
required
string
label
required
string
leaseId
required
string format: uuid
organizationId
required
string format: uuid
propertyId
required
string format: uuid
startDate
required
string format: date
status
required
string
tenantId
required
string format: uuid
unitId
required
string format: uuid
updatedAt
required
string format: date-time
Example
{ "lease": { "lateFeeType": "none", "status": "draft", "termType": "fixed" }, "notes": [ { "entityType": "property", "visibility": "organization_only" } ], "recurringChargeRules": [ { "frequency": "monthly", "kind": "rent", "status": "draft" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}